<?php
/**
 * @file
 * ocio_featured_slideshow.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function ocio_featured_slideshow_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  if ($module == "field_group" && $api == "field_group") {
    return array("version" => "1");
  }
  if ($module == "flexslider" && $api == "flexslider_default_preset") {
    return array("version" => "1");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function ocio_featured_slideshow_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_image_default_styles().
 */
function ocio_featured_slideshow_image_default_styles() {
  $styles = array();

  // Exported image style: ocio_slideshow_image.
  $styles['ocio_slideshow_image'] = array(
    'label' => 'Slideshow Image',
    'effects' => array(
      1 => array(
        'name' => 'image_scale_and_crop',
        'data' => array(
          'width' => 1800,
          'height' => 600,
        ),
        'weight' => 1,
      ),
    ),
  );

  return $styles;
}

/**
 * Implements hook_node_info().
 */
function ocio_featured_slideshow_node_info() {
  $items = array(
    'featured_slide' => array(
      'name' => t('Featured Slide'),
      'base' => 'node_content',
      'description' => t('An eye-catching image to be used in the front page slideshow.'),
      'has_title' => '1',
      'title_label' => t('Title'),
      'help' => '',
    ),
  );
  drupal_alter('node_info', $items);
  return $items;
}
